
server {
    server_name artegos.art www.artegos.art  ;

    listen 185.137.233.123:80;
    charset utf-8;

    gzip on;
    gzip_min_length 1024;
    gzip_proxied expired no-cache no-store private auth;
    gzip_types text/css image/x-ico application/pdf image/jpeg image/png image/gif application/javascript application/x-javascript application/x-pointplus;
    gzip_comp_level 1;
    
    set $root_path /var/www/artegos/data/www/artegos.art;
    root $root_path;
    disable_symlinks if_not_owner from=$root_path;

    location / {
        proxy_pass http://127.0.0.1:81;
        proxy_redirect http://127.0.0.1:81/ /;
        include /etc/nginx/proxy_params;
    }


     location ~* ^.+\.(jpg|jpeg|gif|png|svg|js|css|mp3|ogg|mpeg|avi|zip|gz|bz2|rar|swf|ico|7z|doc|docx|map|ogg|otf|pdf|ttf|tif|txt|wav|webp|woff|woff2|xls|xlsx|xml)$ {
        try_files $uri $uri/ @fallback;
    }

    location @fallback {
        proxy_pass http://127.0.0.1:81;
        proxy_redirect http://127.0.0.1:81/ /;
        include /etc/nginx/proxy_params;
    }

    include "/etc/nginx/fastpanel2-sites/artegos/artegos.art.includes";
    include /etc/nginx/fastpanel2-includes/*.conf;

    error_log /var/www/artegos/data/logs/artegos.art-frontend.error.log;
    access_log /var/www/artegos/data/logs/artegos.art-frontend.access.log;
}